Zavřít reklamu

Jste-li uživateli WhatsApp a zároveň majiteli staršího iPhonu, následující řádky by pro vás mohly být extrémně důležité. WhatsApp totiž přišel ve své poslední aktualizaci s označením 2.21.50, která je již v současnosti dostupná v App Store, o podporu operačního systému iOS 9, což jinými slovy znamená, že už ho nespustíte jinde než na iPhonech s iOS 10 a novějším OS. 

Nejvíce se problém dotkne majitelů stále vcelku oblíbených, byť již velmi starých iPhonů 4s. Právě na těch je totiž iOS 9 poslední verzí iOS, kterou na ně Apple dovoluje nainstalovat. Pokud na něm tedy i vy stále běžíte a WhatsApp chcete používat i nadále, nezbude vám nic jiného než upgradovat na novější model. Ten by však měl být určitě novější než iPhone 5, nechcete-li tedy řešit obdobný problém už příští rok. WhatsApp totiž ukončuje podporu starých iOS vždy zhruba po roce, kdy na začátku loňska takto zařízl iOS 7 a 8. Rozhodně se proto vyplatí sáhnout po modelu s vyšším iOS, čímž si zajistíte delší softwarovou podporu. 

Kompatibilita WhatsApp
Zdroj: Redakce Letem světem Applem

K ukončení podpory se WhatsApp uchyluje především kvůli celkové náročnosti neustále udržovat v provozu několik verzí aplikací na několik rozdílných typů hardwaru. K tomu je navíc nutné připočíst to, že kvůli určitým softwarovým omezením u starších produktů není schopen implementovat některé prvky do své aplikace tak, jak mu nové verze OS umožňují, což je ve u některých věcí velký problém. 

Související články

Dnes nejčtenější